Z8530_FLUSH_FIFO(9)

NAME
z8530_flush_fifo - Flush on chip RX FIFO

SYNOPSIS

void z8530_flush_fifo (struct z8530_channel * c);

ARGUMENTS

c   Channel to flush

DESCRIPTION

Flush the receive FIFO. There is no specific option for this, we blindly read bytes and discard them. Reading when there is no data is harmless. The 8530 has a 4 byte FIFO, the 85230 has 8 bytes.

All locking is handled for the caller. On return data may still be present if it arrived during the flush.

AUTHOR
Alan Cox <alan@redhat.com>.